\name{bootstrapViper}
\alias{bootstrapViper}
\title{bootstrapsViper}
\usage{
bootstrapViper(eset, regulon, nes = TRUE, bootstraps = 10, verbose = TRUE)
}
\arguments{
  \item{eset}{ExpressionSet object or Numeric matrix
  containing the expression data, with samples in columns
  and genes in rows}

  \item{regulon}{Object of class regulon}

  \item{nes}{Logical, whether the enrichment score reported
  should be normalized}

  \item{bootstraps}{Integer indicating the number of
  bootstraps iterations to perform. Only the scale method
  is implemented with bootstraps.}

  \item{verbose}{Logical, whether progression messages
  should be printed in the terminal}
}
\value{
A list containing a matrix of inferred activity for each
regulator gene in the network across all samples and the
corresponding standard deviation computed from the
bootstrap iterations.
}
\description{
This function performs a viper analysis with bootstraps
}
\examples{
data(bcellViper, package="bcellViper")
d1 <- exprs(dset)
res <- viper(d1, regulon, bootstraps=10)
dim(d1)
d1[1:5, 1:5]
regulon
dim(res$nes)
res$nes[1:5, 1:5]
res$sd[1:5, 1:5]
}
\seealso{
\code{\link{viper}}
}

